Skip to main content
GET
List Pin By CID Jobs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string

Values include ASC or DESC

Example:

"ASC"

status
enum<string>

Filter by the status of the job in the pinning queue

Available options:
prechecking,
retrieving,
expired,
over_free_limit,
over_max_size,
invalid_object,
bad_host_node,
backfilled
Example:

"retrieving"

ipfs_pin_hash
string

CID of the file to be pinned

Example:

"CID"

limit
integer

Number of jobs to return. Default is 5 and 1000 is the maximum

Example:

5

offset
integer

Provide the record offset for records being returned. This is how you retrieve records on additional pages (default is 0)

Example:

0

Response

200 - application/json

{ count: (this is the total number of pin job records that exist for the query filters you passed in), rows: [ { id: (the id for the pin job record), ipfs_pin_hash: (the IPFS multi-hash for the content you pinned), date_queued: (The date this hash was initially queued to be pinned - represented in ISO 8601 format), status: (The current status for the pin job), name: (If you passed in a name for your hash, it will be listed here), keyvalues: (If you passed in keyvalues for your hash, they will be listed here), host_nodes: (If you provided host nodes for your hash, they will be listed here), pin_policy: Once this content has been found, this is the pin policy that will be used for replications }, { same record format as above } . . . ] }

count
integer
rows
object[]